# Interface LexerOptions

interface LexerOptions {
isIdentifierContinue?: (ch: string, codePoint: number) => boolean;
isIdentifierStart?: (ch: string, codePoint: number) => boolean;
}

- Defined in src/core/parse/lexer/lexer.js:24

##### Index

### Properties

isIdentifierContinue?
isIdentifierStart?

## Properties

### `Optional` isIdentifierContinue

isIdentifierContinue?: (ch: string, codePoint: number) => boolean

Custom function to determine if a character is a valid identifier continuation.

- Defined in src/core/parse/lexer/lexer.js:26

### `Optional` isIdentifierStart

isIdentifierStart?: (ch: string, codePoint: number) => boolean

Custom function to determine if a character is a valid identifier start.

- Defined in src/core/parse/lexer/lexer.js:25